version: '3.7'

services:
  pg:
    container_name: pooling_pg
    image: postgres     
    env_file: pgsecrets.env
    volumes:
      - .data/pg0:/var/lib/postgresql/data
    ports:
      - 15432:5432
    networks:
      - pooling_net
    environment:
      # - POSTGRES_INITDB_ARGS="-A trust"
      - POSTGRES_HOST_AUTH_METHOD="trust"

  pgbouncer:
    image: brainsam/pgbouncer
    container_name: pooling_pgbouncer
    ports:
      - 15555:5432      
    networks:
      - pooling_net   
    volumes:
      - ./conf/pgbouncer/:/etc/pgbouncer:ro   
    ulimits:
      # nofile:
      #   soft: -1
      #   hard: -1
      memlock:
        soft: -1
        hard: -1

networks:
  pooling_net:
    driver: bridge
    ipam:
      driver: default
